|
Расположение в меню |
---|
Архитектура → Утилиты → Удалить форму из Архитектуры |
Верстаки |
Arch |
Быстрые клавиши |
Нет |
Представлено в версии |
- |
См. также |
Сетка в фигуру |
Описание
The Arch RemoveShape tool attempts at removing the inner cubic shape of an Arch Wall or Arch Structure, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).
Применение
- Select an Arch Wall or Arch Structure.
- Select the Utils →
Remove Shape from Arch option from the menu.
Программирование
See also: Arch API and FreeCAD Scripting Basics.
This tool can be used in macros and from the Python console by using the following function:
removeShape(objs, mark=True)
- Takes a list of Arch objects (
objs
) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.objs
is a single object, Arch Wall or Arch Structure, or a list of them.
- If
mark
isTrue
, objects that cannot be processed by this function will become red.
import FreeCAD, Draft, Arch
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()
Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()
Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()
Эта страница получена от https://wiki.freecad.org/Arch_RemoveShape